Package org.pushingpixels.substance.api.painter.decoration

# Class MarbleNoiseDecorationPainter

java.lang.Object
org.pushingpixels.substance.api.painter.decoration.ImageWrapperDecorationPainter
org.pushingpixels.substance.api.painter.decoration.MarbleNoiseDecorationPainter

All Implemented Interfaces:
  `SubstanceDecorationPainter`, `SubstanceTrait`

public class MarbleNoiseDecorationPainter extends ImageWrapperDecorationPainter
Implementation of `SubstanceDecorationPainter` that uses marble noise painting on decoration areas.

Since:
  version 4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISPLAY_NAME`
The display name for the decoration painters of this class.

### Fields inherited from class org.pushingpixels.substance.api.painter.decoration.ImageWrapperDecorationPainter

`baseDecorationPainter, colorizedTileMap, originalTile, textureAlpha`

## Constructor Summary

Constructors
Constructor
Description
`MarbleNoiseDecorationPainter()`
Creates a new marble noise decoration painter.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.

### Methods inherited from class org.pushingpixels.substance.api.painter.decoration.ImageWrapperDecorationPainter

`getColorizedTile, paintDecorationArea, setBaseDecorationPainter, setTextureAlpha, tileArea`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISPLAY_NAME

public static final String DISPLAY_NAME
The display name for the decoration painters of this class.

See Also:
  - Constant Field Values

## Constructor Details

### MarbleNoiseDecorationPainter

public MarbleNoiseDecorationPainter()
Creates a new marble noise decoration painter.

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Returns:
  The display name of `this` trait.